export default function () {
  const options={
    height:840,
    align:'center',
    border: true,
    resizable: true,
    keepSource:true,
    size:'mini',
    showOverflow: true,
    // scrollY:{enable:true},
    editConfig:{trigger: 'click', mode: 'cell', showStatus: true},
    highlightCurrentRow:true,
    data:[],
  }

  const columns = [
    { type: 'checkbox', width: 40 },
    { type: 'seq', width: 60, title: '序号' },
    { field: 'dcCh', title: '船号', width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    { field: 'dcPl', title: '批量', width: 100,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    { field: 'dcFd', title: '分段', width: 100,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    { field: 'qy', title: '摆放区域', width: 100,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    { field: 'dwh', title: '垛位', width: 100,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
    { field: 'ljsl', title: '零件数量', width: 100,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination', },
    },
  ]

  return {options,columns}
}
